Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 651862 (CVE-2018-5145, MFSA-2018-09) - <mail-client/thunderbird{,-bin}-52.7.0: multiple vulnerabilities (MFSA-2018-09)
Summary: <mail-client/thunderbird{,-bin}-52.7.0: multiple vulnerabilities (MFSA-2018-09)
Status: RESOLVED FIXED
Alias: CVE-2018-5145, MFSA-2018-09
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal major (vote)
Assignee: Gentoo Security
URL: https://www.mozilla.org/en-US/securit...
Whiteboard: B2 [glsa+ cve]
Keywords:
Depends on:
Blocks: MFSA-2018-04
  Show dependency tree
 
Reported: 2018-03-28 18:33 UTC by GLSAMaker/CVETool Bot
Modified: 2018-11-24 19:52 UTC (History)
2 users (show)

See Also:
Package list:
mail-client/thunderbird-52.7.0
Runtime testing required: ---
stable-bot: sanity-check-


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description GLSAMaker/CVETool Bot gentoo-dev 2018-03-28 18:33:44 UTC
Incoming details.
Comment 1 Thomas Deutschmann gentoo-dev Security 2018-03-28 18:37:05 UTC
CVE-2018-5127: Buffer overflow manipulating SVG animatedPathSegList

Impact
    high

Description

A buffer overflow can occur when manipulating the SVG animatedPathSegList through script. This results in a potentially exploitable crash.


CVE-2018-5129: Out-of-bounds write with malformed IPC messages

Impact
    high

Description

A lack of parameter validation on IPC messages results in a potential out-of-bounds write through malformed IPC messages. This can potentially allow for sandbox escape through memory corruption in the parent process.


CVE-2018-5144: Integer overflow during Unicode conversion

Impact
    moderate

Description

An integer overflow can occur during conversion of text to some Unicode character sets due to an unchecked length parameter.


CVE-2018-5146: Out of bounds memory write in libvorbis

Impact
    critical

Description

An out of bounds memory write while processing Vorbis audio data was reported through the Pwn2Own contest.


CVE-2018-5125: Memory safety bugs fixed in Firefox 59, Firefox ESR 52.7, and Thunderbird 52.7

Impact
    critical

Description

Mozilla developers and community members Bob Clary, Olli Pettay, Christian Holler, Nils Ohlmeier, Randell Jesup, Tyson Smith, Ralph Giles, and Philipp reported memory safety bugs present in Firefox 58, Firefox ESR 52.6, and Thunderbird 52.6. Some of these bugs showed evidence of memory corruption and we presume that with enough effort that some of these could be exploited to run arbitrary code.


CVE-2018-5145: Memory safety bugs fixed in Firefox ESR 52.7 and Thunderbird 52.7

Impact
    critical

Description

Mozilla developers Jet Villegas and Randell Jesup reported memory safety bugs present in Firefox ESR 52.6 and Thunderbird 52.6. These bugs showed evidence of memory corruption and we presume that with enough effort that some of these could be exploited to run arbitrary code.
Comment 2 Thomas Deutschmann gentoo-dev Security 2018-03-29 14:54:40 UTC
x86 stable
Comment 3 Larry the Git Cow gentoo-dev 2018-03-29 21:31:29 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b6165c3829c37f1e8288115cc847162169f6ee48

commit b6165c3829c37f1e8288115cc847162169f6ee48
Author:     Aaron Bauman <bman@gentoo.org>
AuthorDate: 2018-03-29 21:31:16 +0000
Commit:     Aaron Bauman <bman@gentoo.org>
CommitDate: 2018-03-29 21:31:16 +0000

    mail-client/thunderbird: amd64 stable
    
    Bug: https://bugs.gentoo.org/651862
    Package-Manager: Portage-2.3.26, Repoman-2.3.7

 mail-client/thunderbird/thunderbird-52.7.0.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)}
Comment 4 Stabilization helper bot gentoo-dev 2018-07-05 07:59:43 UTC
An automated check of this bug failed - the following atom is unknown:

mail-client/thunderbird-52.7.0

Please verify the atom list.
Comment 5 Matt Turner gentoo-dev 2018-09-17 21:19:41 UTC
ppc/ppc64 stable. all arches stable
Comment 6 Thomas Deutschmann gentoo-dev Security 2018-11-16 10:46:00 UTC
Added to an existing GLSA request.
Comment 7 GLSAMaker/CVETool Bot gentoo-dev 2018-11-24 19:52:20 UTC
This issue was resolved and addressed in
 GLSA 201811-13 at https://security.gentoo.org/glsa/201811-13
by GLSA coordinator Aaron Bauman (b-man).